var nano = require('nano')('http://localhost:5984');

// clean up the database we created previously
nano.db.destroy('keeper', function() {
  // create a new database
  nano.db.create('keeper', function() {
    // specify the database we are going to use
    var keeper = nano.use('keeper');
    // and insert a document in it
/*    keeper.insert({ crazy: true }, 'rabbit', function(err, body, header) {
      if (err) {
        console.log('[alice.insert] ', err.message);
        return;
      }
      console.log('you have inserted the rabbit.')
      console.log(body);
    });*/


    keeper.insert(
      { "views":
      { "titles":
      { "map": function(doc) { emit(null, doc.title); } }
      }
      }, '_design/titles', function (error, response) {
        console.log("_design/titles added");
      });

    keeper.insert(
      { "views":
      { "reducedView":
      { "map": function(doc) { emit(null, [doc.title, doc.reduced]); } }
      }
      }, '_design/reducedView', function (error, response) {
        console.log("_design/reducedView added");
      });


  });
});/**
 * Created by Martin on 02/03/2016.
 */
